Holger's Java API

## com.antelmann.util.logging
Class LogException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.util.logging.LogException

All Implemented Interfaces:
  Serializable

    public class LogException

extends RuntimeException

LogException is thrown when a problem is encountered while writing to a LogWriter

Author:
  Holger Antelmann
See Also:
  `LogWriter`, Serialized Form

Constructor Summary
`LogException()`
`LogException(String text)`
`LogException(String text, Throwable cause)`
`LogException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogException

    public LogException()

### LogException

    public LogException(String text)

### LogException

    public LogException(Throwable cause)

### LogException

    public LogException(String text,
                        Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads